Package io.dapr.v1

# Interface DaprProtos.DeleteStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.DeleteStateRequest`, `DaprProtos.DeleteStateRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.DeleteStateRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be sent to state store components.
`CommonProtos.Etag`
`getEtag()`
The entity tag which represents the specific version of data.
`CommonProtos.EtagOrBuilder`
`getEtagOrBuilder()`
The entity tag which represents the specific version of data.
`String`
`getKey()`
The key of the desired state
`com.google.protobuf.ByteString`
`getKeyBytes()`
The key of the desired state
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be sent to state store components.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be sent to state store components.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be sent to state store components.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be sent to state store components.
`CommonProtos.StateOptions`
`getOptions()`
State operation options which includes concurrency/ consistency/retry_policy.
`CommonProtos.StateOptionsOrBuilder`
`getOptionsOrBuilder()`
State operation options which includes concurrency/ consistency/retry_policy.
`String`
`getStoreName()`
The name of state store.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
The name of state store.
`boolean`
`hasEtag()`
The entity tag which represents the specific version of data.
`boolean`
`hasOptions()`
State operation options which includes concurrency/ consistency/retry_policy.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStoreName

String getStoreName()

     The name of state store.

`string store_name = 1;`

Returns:
  The storeName.

### getStoreNameBytes

com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store.

`string store_name = 1;`

Returns:
  The bytes for storeName.

### getKey

String getKey()

     The key of the desired state

`string key = 2;`

Returns:
  The key.

### getKeyBytes

com.google.protobuf.ByteString getKeyBytes()

     The key of the desired state

`string key = 2;`

Returns:
  The bytes for key.

### hasEtag

boolean hasEtag()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

Returns:
  Whether the etag field is set.

### getEtag

CommonProtos.Etag getEtag()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

Returns:
  The etag.

### getEtagOrBuilder

CommonProtos.EtagOrBuilder getEtagOrBuilder()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

### hasOptions

boolean hasOptions()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

Returns:
  Whether the options field is set.

### getOptions

CommonProtos.StateOptions getOptions()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

Returns:
  The options.

### getOptionsOrBuilder

CommonProtos.StateOptionsOrBuilder getOptionsOrBuilder()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

### getMetadataCount

int getMetadataCount()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`